@echo off

cd /d %BATCH_HOME%

call %BATCH_HOME%\bin\classpath.bat

rem 前処理
%JAVA_HOME%\bin\java batch.BatchStatus -start %*
if not %ERRORLEVEL% == 0 (goto end)

rem 実処理
%JAVA_HOME%\bin\java project.batch.sample.SAMPLE %*
if not %ERRORLEVEL% == 0 (goto end)


:end

rem 後処理
%JAVA_HOME%\bin\java batch.BatchStatus -end %*

exit %ERRORLEVEL%
